> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all customers for a merchant

> This endpoint returns a list of all customers associated with the authenticated merchant. Merchants can filter customers by various attributes such as active policies or claims.  Pagination is supported to handle large datasets.



## OpenAPI

````yaml get /api/v1/customers/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/customers/:
    get:
      tags:
        - Customers
      summary: Retrieve all customers for a merchant
      description: >-
        This endpoint returns a list of all customers associated with the
        authenticated merchant. Merchants can filter customers by various
        attributes such as active policies or claims.  Pagination is supported
        to handle large datasets.
      operationId: v1_customers_list
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCustomerSummaryList'
              examples:
                ViewAllRegisteredCustomers:
                  value:
                    count: 123
                    next: http://api.example.org/accounts/?offset=400&limit=100
                    previous: http://api.example.org/accounts/?offset=200&limit=100
                    results:
                      - data:
                          - customer_name: Adeola Okonkwo
                            customer_email: adeola.okonkwo@example.com
                            customer_phone: '08168518263'
                          - customer_name: Alphoso Thracian
                            customer_email: thracian.phonso@example.com
                            customer_phone: '+123456789'
                          - customer_name: Alphoso Tracian
                            customer_email: tracian.phonso@example.com
                            customer_phone: '+2348012345678'
                          - customer_name: Baby Owner
                            customer_email: owner@example.com
                            customer_phone: '+1122334455'
                  summary: View all registered customers
          description: View all customers
        '401':
          description: Unauthorized Request
        '500':
          description: Internal Server Error
      security:
        - ClientKeyAuth: []
components:
  schemas:
    PaginatedCustomerSummaryList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/CustomerSummary'
    CustomerSummary:
      type: object
      description: |-
        Basic information serializer about a customer

        Effective use-case: Listing of customers
      properties:
        customer_id:
          type: string
          readOnly: true
        customer_name:
          type: string
        customer_email:
          type: string
          format: email
        customer_phone:
          type: string
      required:
        - customer_email
        - customer_id
        - customer_name
        - customer_phone
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````